Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# STFileScript class documentation

### Authors

Stefan Urbanek (`stefanurbanek@yahoo.fr`)

Date: Generated at 2026-02-09 22:49:36 +0000

Copyright: (C) 2002 Stefan Urbanek

# Software documentation for the STFileScript class

## STFileScript : STScript

> Declared in:
>   StepTalk/STFileScript.h

Description forthcoming.

Instance Variables

### Method summary

- +scriptWithFile:
- -compareByLocalizedName:
- -fileName
- -initWithFile:
- -localizedName
- -scriptDescription
- -scriptName

### scriptWithFile:

+ (id) scriptWithFile: (NSString*)file;
Description forthcoming.

### compareByLocalizedName:

- (NSComparisonResult) compareByLocalizedName: (STFileScript*)aScript;
Compare scripts by localized name.

### fileName

- (NSString*) fileName;
Return file name of the receiver.

### initWithFile:

- (id) initWithFile: (NSString*)aFile;
Create a new script from file aFile>. Script information will be read from 'aFile.stinfo' file containing a dictionary property list.

### localizedName

- (NSString*) localizedName;
Returns localized name of the receiver script.

### scriptDescription

- (NSString*) scriptDescription;
Returns localized description of the script.

### scriptName

- (NSString*) scriptName;
Returns a script name by which the script is identified

## Instance Variables for STFileScript Class

### description

@protected NSString* description;
Description forthcoming.

### fileName

@protected NSString* fileName;
Description forthcoming.

### localizedName

@protected NSString* localizedName;
Description forthcoming.

### menuKey

@protected NSString* menuKey;
Description forthcoming.

Up